variable stage {
  description = "The stage of the environment"
  type        = string
}

variable "region" {
  description = "AWS region"
  type        = string
}

variable "domain_name" {
  description = "Name of the base domain for Route53"
  type        = string
}

variable "api_url_prefix" {
  description = "Prefix for the API URL"
  type        = string
}

variable allocated_storage {
  description = "The allocated storage in gigabytes"
  type        = number
}

variable instance_class {
  description = "The instance type of the RDS instance"
  type        = string
}

variable database_name {
  description = "The name of the database to create when the DB instance is created"
  type        = string
}

variable "allowed_origins" {
  description = "Allowed origins for CORS policy"
  type        = list(string)
}